---
title: "Change brand"
url: "https://docs.signnow.com/docs/general-branding/operations/put-v2-brands-brand_id"
type: "endpoint"
section: "general-branding"
slug: "general-branding/operations/put-v2-brands-brand_id"
method: "PUT"
path: "/v2/brands/{brand_id}"
operation_id: "put-v2-brands-brand_id"
authorization: "bearer"
---

# Change brand

`PUT /v2/brands/{brand_id}`

This endpoint allows users to edit a brand.

Note: to change a brand, you need to own it.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `brand_id` | string | Yes | ID of the brand. Must match the pattern: [a-z0-9]{40}. |

## Header Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Content-Type` | string | No | application/json |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "title"
  ],
  "properties": {
    "title": {
      "type": "string",
      "description": "The name of the brand."
    }
  },
  "x-examples": {
    "Example 1": {
      "title": "some_title"
    }
  }
}
```

**Example** (`example-1`)

```json
{
  "title": "some_title"
}
```

## Responses

### 204

Success, no content

### 400

* Incorrect or missing token.
* Request body is incorrect or missing.
* Incorrect payload.
* `title` is not a string.
* `title` is empty.
* `title` is longer than 100 characters.

**Example** (`Empty title`)

```json
{
  "code": 25002034,
  "message": "Brand title must not be an empty string."
}
```

**Example** (`title too long`)

```json
{
  "code": 25002032,
  "message": "Brand title length must less, than 100 characters."
}
```

**Example** (`title not string`)

```json
{
  "code": 25002031,
  "message": "Brand title must be a string."
}
```

**Example** (`Incorrect payload`)

```json
{
  "code": 25002002,
  "message": "Invalid payload given."
}
```

**Example** (`Incorrect or missing token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Request body incorrect or missing`)

```json
{
  "code": 25002033,
  "message": "Brand title is required."
}
```

### 403

* Request with a valid bearer token from another user logged in.
* The user is authorized with a token from an app they don’t own.

**Example** (`Another user's token`)

```json
{
  "code": 25002030,
  "message": "No access to the brand."
}
```

**Example** (`User doesn't own the app`)

```json
{
  "code": 25002001,
  "message": "Brand action not allowed."
}
```

### 404

* Brand with this `brand_id` doesn't exist
* Missing or incorrect `brand_id`

**Example** (`Brand doesn't exist`)

```json
{
  "code": 25002016,
  "message": "Brand not found."
}
```

**Example** (`Missing or incorrect brand_id`)

```json
{
  "404": "Unable to find a route to match the URI: v2/brand/null"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PUT \
  "https://api.signnow.com/v2/brands/{brand_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"title": "some_title"}'
```

---
*Full reference: https://docs.signnow.com/docs/general-branding/operations/put-v2-brands-brand_id*
